ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Goto page Previous  1, 2, 3, 4  Next
 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube PHP Encoder

PHP 7.4 support

Author Message
AndreyB



Joined: 09 Dec 2019
Posts: 3

PostPosted: Mon Jan 27, 2020 9:07 am    Post subject: Reply with quote

And what about Encoder for PHP 7.4? Is it expected to be released with Loader? We actually need Encoder for PHP 7.3 very much.
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 384

PostPosted: Mon Jan 27, 2020 9:51 am    Post subject: Reply with quote

Hi,

An encoder for PHP 7.4 will be included in the version 11 release of the ionCube PHP Encoder.

Please would you say why you need an Encoder for PHP 7.3? There were very few significant new language features in PHP 7.3. Encoded files produced by the 7.1 and 7.2 encoders will, of course, run on PHP 7.3.

Admittedly there are more significant new language features in PHP 7.4, such as typed properties, and you would need a 7.4 Encoder for that.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
AndreyB



Joined: 09 Dec 2019
Posts: 3

PostPosted: Mon Jan 27, 2020 11:49 am    Post subject: Reply with quote

Any approximate dates for version 11 release?

As for PHP 7.3 it's not a matter of using new syntax, but a matter of control that no developer uses it. We didn't want to migrate directly from 7.2 to 7.4 as 7.3 has changes that affected our legacy code. And now when we migrated to 7.3 we need to control somehow that noone uses new syntax. It would be much more convenient to let developers do that.
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 384

PostPosted: Thu Feb 27, 2020 11:41 am    Post subject: Reply with quote

We have now released beta PHP 7.4.0 ionCube Loaders for Linux. At present they can only run files encoded with the version 10 PHP 7.2 Encoder but we aim to add support for 7.1-encoded files as soon as possible. At the moment we are not aware of any issues with the loaders apart from some memory leaks.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 384

PostPosted: Fri Feb 28, 2020 4:08 pm    Post subject: Reply with quote

We have now produced a second beta release of PHP 7.4.0 ionCube Loaders for Linux. The beta 2 loaders can now run files produced by both the 7.1 and 7.2 encoders.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
petrc



Joined: 07 Apr 2020
Posts: 2

PostPosted: Tue Apr 07, 2020 2:12 am    Post subject: Reply with quote

alastair wrote:
We have now produced a second beta release of PHP 7.4.0 ionCube Loaders for Linux. The beta 2 loaders can now run files produced by both the 7.1 and 7.2 encoders.


When can I expect to support the 7.4 encoder with all its features? We use your product, but we are already seriously considering switching to your competitors...
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 384

PostPosted: Tue Apr 07, 2020 7:48 am    Post subject: Reply with quote

Hi,

A PHP 7.4 Encoder will be included in the version 11 release due out later this year. I take it then that you are already using PHP 7.4 language features (typed properties etc) in your code?
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
petrc



Joined: 07 Apr 2020
Posts: 2

PostPosted: Wed Apr 08, 2020 12:47 pm    Post subject: Reply with quote

alastair wrote:
Hi,

A PHP 7.4 Encoder will be included in the version 11 release due out later this year. I take it then that you are already using PHP 7.4 language features (typed properties etc) in your code?


We control the php version on our side, and now it is 7.2. we have Windows among our users. We really want to use the features of php 7.4, but this is not possible due to ioncube. Using php 7.4 without php 7.4 features doesn't make much sense.
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 384

PostPosted: Wed Apr 08, 2020 1:03 pm    Post subject: Reply with quote

Hi,

So you would be providing a standalone application to your users that would include PHP? In that case, where you do have full control over which PHP version your customers use, then that does make sense.

As well as a PHP 7.4 Encoder in version 11 we will be including a new encoding format for the PHP 7 encoders so as to enhance code security.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
thomasde



Joined: 12 May 2020
Posts: 2

PostPosted: Tue May 12, 2020 11:02 am    Post subject: Reply with quote

alastair wrote:

Aug 05, 2019:
"We would hope to release an ionCube Loader as soon as possible after PHP 7.4"
Jan 20, 2020:
"We hope to produce a PHP 7.4 Loader in early February"
Feb 28, 2020:
"We have now produced a second beta release of PHP 7.4.0 ionCube Loaders for Linux.".


How long will PHP 7.4 support (stable ioncube loader) take?
Files encrypted with ioncube are increasingly becoming a disadvantage. More and more customers are demanding PHP 7.4 support.
The last beta is almost 3 months old!

A loader for php 7.4 in _production environment_ is urgently needed!
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 384

PostPosted: Wed May 13, 2020 8:14 am    Post subject: Reply with quote

Hi,

We have been creating further betas for people to test in our Support Help Desk.

There is one problem that we have been unable to reproduce or track down so far,

Please create a ticket in our Support Help Desk at https://support.ioncube.com if you would like to try a newer beta Loader.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
thomasde



Joined: 12 May 2020
Posts: 2

PostPosted: Wed May 13, 2020 10:05 am    Post subject: Reply with quote

alastair wrote:
if you would like to try a newer beta Loader.


no, we don't need a beta. We need a stable version. Our customers do not have their own server, but managed servers with normal providers. These are all productive systems.
Back to top
View user's profile Send private message
Rojod



Joined: 19 May 2020
Posts: 2

PostPosted: Tue May 19, 2020 10:43 pm    Post subject: Reply with quote

This is actually pretty sad. I run a webhost company. I have clients. Those clients want and need PHP7.4. Is out since Nov 2019.
You remember how long that is? It was around the time we first heard of the corona virus, and it didn't seem that big a deal.
It's seven (!) months after the release, and still there isn't a stable version. As webhoster I can't just start offering beta versions, especcially if you tell there is a bug in it, you ain't be able to fix so far...

How long do me and my clients have to wait? Till PHP8 arrives?
Back to top
View user's profile Send private message
rtnet



Joined: 22 Jul 2015
Posts: 2

PostPosted: Thu May 21, 2020 11:29 am    Post subject: Reply with quote

+1 Exclamation
Back to top
View user's profile Send private message
koryfi



Joined: 26 May 2020
Posts: 1
Location: Colombia

PostPosted: Tue May 26, 2020 5:44 pm    Post subject: Reply with quote

Sure ! As webhoster I can't just start offering beta versions.

We need a stable version very very soon Sad

+1
_________________
Jaime Eduardo
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube PHP Encoder All times are GMT + 1 Hour
Goto page Previous  1, 2, 3, 4  Next
Page 2 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum